Name:           maven-dependency-plugin
Version:        3.1.2
Release:        %mkrel 1
Group:          Development/Java
Summary:        Plugin to manipulate, copy and unpack local and remote artifacts
License:        ASL 2.0

URL:            http://maven.apache.org/plugins/%{name}
Source0:        https://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(classworlds:classworlds)
BuildRequires:  mvn(commons-collections:commons-collections)
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-core)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-sink-api)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-site-renderer)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-repository-metadata)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.reporting:maven-reporting-api)
BuildRequires:  mvn(org.apache.maven.reporting:maven-reporting-impl)
BuildRequires:  mvn(org.apache.maven.shared:file-management)
BuildRequires:  mvn(org.apache.maven.shared:maven-artifact-transfer) >= 0.11.0
BuildRequires:  mvn(org.apache.maven.shared:maven-common-artifact-filters)
BuildRequires:  mvn(org.apache.maven.shared:maven-dependency-analyzer)
BuildRequires:  mvn(org.apache.maven.shared:maven-dependency-tree)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-utils)
BuildRequires:  mvn(org.apache.maven.wagon:wagon-http-lightweight)
BuildRequires:  mvn(org.codehaus.plexus:plexus-archiver)
BuildRequires:  mvn(org.codehaus.plexus:plexus-io)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)

%description
The dependency plugin provides the capability to manipulate
artifacts. It can copy and/or unpack artifacts from local or remote
repositories to a specified location.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
%{summary}.

%prep
%setup -q

%pom_remove_plugin :maven-enforcer-plugin

# We don't want to support legacy Maven versions (older than 3.1)
%pom_remove_dep org.sonatype.aether:

# trivial port to commons-lang3
%pom_change_dep :commons-lang org.apache.commons:commons-lang3:3.8.1

sed -i "s/org.apache.commons.lang./org.apache.commons.lang3./g" \
    src/main/java/org/apache/maven/plugins/dependency/analyze/AbstractAnalyzeMojo.java
sed -i "s/org.apache.commons.lang./org.apache.commons.lang3./g" \
    src/main/java/org/apache/maven/plugins/dependency/resolvers/ResolveDependencySourcesMojo.java
sed -i "s/org.apache.commons.lang./org.apache.commons.lang3./g" \
    src/main/java/org/apache/maven/plugins/dependency/DisplayAncestorsMojo.java
sed -i "s/org.apache.commons.lang./org.apache.commons.lang3./g" \
    src/test/java/org/apache/maven/plugins/dependency/fromConfiguration/TestUnpackMojo.java

%build
# Tests require legacy Maven
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE




%changelog
* Fri Aug 21 2020 neoclust <neoclust> 3.1.2-1.mga8
+ Revision: 1617254
- New version 3.1.2

* Fri Feb 14 2020 umeabot <umeabot> 3.1.1-2.mga8
+ Revision: 1520253
- Mageia 8 Mass Rebuild

* Sat Nov 17 2018 guillomovitch <guillomovitch> 3.1.1-1.mga7
+ Revision: 1330338
- new version 3.1.1

* Thu Sep 20 2018 daviddavid <daviddavid> 3.0.2-1.mga7
+ Revision: 1288358
- Update to upstream version 3.0.2 (sync with fc29)

* Wed Sep 19 2018 umeabot <umeabot> 3.0-0.3.20160119svn1722376.mga7
+ Revision: 1264038
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 3.0-0.3.20160119svn1722375.mga6
+ Revision: 1101415
- Rebuild maven-* packages
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 3.0-0.3.20160119svn1722373.mga6
+ Revision: 977275
- First rebuild of the java stack
- sync package maven-dependency-plugin with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
+ zezinho <zezinho>
- remove comment with macro as it fails to build
- new version

* Wed Oct 15 2014 umeabot <umeabot> 2.8-6.mga5
+ Revision: 750433
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 pterjan <pterjan> 2.8-4.mga5
+ Revision: 671298
- Rebuild to get automatic dependency fixed

* Mon Sep 01 2014 luigiwalser <luigiwalser> 2.8-3.mga5
+ Revision: 670551
- remove useless BRs (from fedora)

* Tue Oct 22 2013 umeabot <umeabot> 2.8-2.mga4
+ Revision: 541759
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 dmorgan <dmorgan> 2.8-1.mga4
+ Revision: 486765
- New version

* Fri Jul 12 2013 dmorgan <dmorgan> 2.6-1.mga4
+ Revision: 453349
- New version

* Fri Jul 12 2013 dmorgan <dmorgan> 2.5.1-3.mga4
+ Revision: 453313
- Remove unneeded BR: asm2

* Sat Jan 12 2013 umeabot <umeabot> 2.5.1-2.mga3
+ Revision: 359589
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 09 2012 dmorgan <dmorgan> 2.5.1-1.mga3
+ Revision: 329090
- New version

* Mon Jul 09 2012 dmorgan <dmorgan> 2.4-1.mga3
+ Revision: 268961
- New version 2.4

* Thu Jul 05 2012 dmorgan <dmorgan> 2.3-2.mga3
+ Revision: 267929
- Add missing BR.

* Fri Dec 09 2011 dmorgan <dmorgan> 2.3-1.mga2
+ Revision: 179516
- New version 2.3

* Tue Jul 19 2011 dmorgan <dmorgan> 2.2-1.mga2
+ Revision: 126373
- BR/R maven-shared-file-management.
- Update to 2.2 final release.

* Thu Apr 28 2011 dmorgan <dmorgan> 2.2-0.4.svn949573.2.mga1
+ Revision: 92694
- Rebuild after bootstrapping
- imported package maven-dependency-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-0.4.svn949573
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep  7 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.2-0.3.svn949573
- Fix test case to expect new classworlds

* Tue Jun 15 2010 Alexander Kurtakov <akurtako@redhat.com> 2.2-0.2.svn949573
- Add missing Requires.

* Thu Jun  3 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.2-0.1.svn949573
- Initial package
